import gi
import sys
gi.require_version('Gtk', '3.0')
gi.require_version('WebKit', '3.0')
from gi.repository import Gtk, WebKit

class Window(Gtk.ApplicationWindow):
    def __init__(self, app):
        Gtk.Window.__init__(self, title="", application=app)
        self.browser = WebKit.WebView()
        self.browser.open("/home/pi/webkit_test/file.html")
        self.add(self.browser)

class Application(Gtk.Application):
    def __init__(self):
        Gtk.Application.__init__(self)

    def do_activate(self):
        window = Window(self)
        window.show_all()

app = Application()
exit_status = app.run(sys.argv)
sys.exit(exit_status)
